org.apache.poi.xssf.usermodel

## Class XSSFMap

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFMap

-     public class XSSFMap
      extends java.lang.Object

  This class implements the Map element (Open Office XML Part 4: chapter 3.16.2)

  This element contains all of the properties related to the XML map, and the behaviors expected during data refresh operations.

  Author:
    Roberto Manicardi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFMap(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTMap ctMap, MapInfo mapInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.spreadsheetml.x2006.main.CTMap` | `getCtMap()`
    `org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSchema` | `getCTSchema()`
    `java.util.List<XSSFSingleXmlCell>` | `getRelatedSingleXMLCell()`
    `java.util.List<XSSFTable>` | `getRelatedTables()`
    `org.w3c.dom.Node` | `getSchema()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFMap

          public XSSFMap(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTMap ctMap,
                         MapInfo mapInfo)

  - ### Method Detail

    - #### getCtMap

          @Internal
          public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTMap getCtMap()

    - #### getCTSchema

          @Internal
          public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSchema getCTSchema()

    - #### getSchema

          public org.w3c.dom.Node getSchema()

    - #### getRelatedSingleXMLCell

          public java.util.List<XSSFSingleXmlCell> getRelatedSingleXMLCell()

      Returns:
        the list of Single Xml Cells that provide a map rule to this mapping.

    - #### getRelatedTables

          public java.util.List<XSSFTable> getRelatedTables()

      Returns:
        the list of all Tables that provide a map rule to this mapping

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.